package pizza;

public class Pizza
{
	public static final int SIZE_CHILDRENS = 0;
	public static final int SIZE_NORMAL = 1;
	public static final int SIZE_XXL = 2;

	public String name;
	public int priceInCent;
	public int size;

	public Pizza(String name, int priceInCent, int size) {
		this.name = name;
		this.priceInCent = priceInCent;
		this.size = size;
	}

	@Override
	public String toString() {
		return name + " " + sizeToString(size) + " " + priceInCent;
	}

	private static String sizeToString(int size) {
		switch (size) {
		case Pizza.SIZE_CHILDRENS:
			return "children";
		case Pizza.SIZE_NORMAL:
			return "normal";
		case Pizza.SIZE_XXL:
			return "xxl";
		default:
			return "" + size;
		}
	}
}
